!
!  UAToITY.f90 - This module contains user-defined class 
!  definitions and methods
!

module AToI_USE

    type AToI_InstanceData
        sequence
        !  TODO:  Add fields and remove "dummy"
        integer dummy
    end type

  contains

    !
    !  Constructor
    !
    function AToI_CONSTRUCTOR( ObjectData ) result (hresult)
        use dfwinty
		type(AToI_InstanceData) ObjectData
		!dec$ attributes reference :: ObjectData
        integer(LONG) hresult

        hresult = S_OK
        !  TODO:  Add field initialization code
    end function

    !
    !  Destructor
    !
    subroutine AToI_DESTRUCTOR( ObjectData )
		type(AToI_InstanceData) ObjectData
		!dec$ attributes reference :: ObjectData
        !  TODO:  Add field cleanup code
    end subroutine

end module




